Package: org.codehaus.groovy.ast.stmt

## [Java] Class BreakStatement

- org.codehaus.groovy.ast.stmt.BreakStatement

-     public class BreakStatement
      extends Statement

  Represents a break statement in a switch or loop statement

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BreakStatement ()`
    `BreakStatement (String label)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getLabel()`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, cancel, getConnection, isClosed, getFetchDirection, setFetchSize, getWarnings, setFetchDirection, getFetchSize, clearWarnings, getResultSet, addBatch, executeQuery, getResultSetType, executeBatch, setPoolable, setMaxRows, getMoreResults, getMoreResults, getGeneratedKeys, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getQueryTimeout, getMaxFieldSize, setQueryTimeout, clearBatch, getUpdateCount, setMaxFieldSize, getMaxRows, setCursorName, isPoolable, setLargeMaxRows, executeLargeBatch, getLargeMaxRows, closeOnCompletion, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, enquoteLiteral, enquoteIdentifier, isSimpleIdentifier, enquoteNCharLiteral, getResultSetConcurrency, getLargeUpdateCount, getResultSetHoldability, isCloseOnCompletion, setEscapeProcessing, unwrap, isWrapperFor`

- - ### Constructor Detail

    - #### public BreakStatement()

    - #### public BreakStatement(String label)

  - ### Method Detail

    - #### public String getLabel()

    - #### public void visit(GroovyCodeVisitor visitor)